% Author:           Rainer Storn, Ken Price, Arnold Neumaier, Jim Van Zandt
% Modified by FLC \GECAD 04/winter/2017
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% GECAD - GECCO and CEC 2020 Competition: Evolutionary Computation in Uncertain Environments: A Smart Grid Application 
%
% TEAM UC/CISECE-UT3/UCLV
% CUMDANCauchy-C1: a Cellular EDA Designed to Solve the Energy Resource Management Problem Under Uncertainty
%
%
% Phd Student Yoan Martinez Lopez, yoan.martinez@reduc.edu.cu [1,3]
% Phd Julio Madera, julio.madera@reduc.edu.cu [1]
% BSc Student Alexis Moya, alextkmoya@gmail.com [1]
% BSc Student Miguel Bethencourt Mayedo, miguel.bethencourt@reduc.edu.cu [1]
% Phd Ansel Y. Rodriguez-Gonzalez, ansel@cicese.mx [2]
%
%
% [1] UC (Universidad de Camaguey, Cuba)
% [2] CISECE-UT3 (Unidad de Transferencia Tecnolgica Tepic del Centro de Investigacin Cientfica y de Educacin Superior de Ensenada, Mexico)
% [3] UCLV (Universidad de Central de las Villas, Cuba)
% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

deedaParameters.I_NP= 150; % population in EDA 10......150
deParameters.No_eval_Scenarios = 1;%Testband2---1 to Testband1 ----- 10
deedaParameters.I_itermax= 499;%floor(50000 /(deParameters.I_NP*deParameters.No_eval_Scenarios)) - 1; % number of max iterations/gen 499

deedaParameters.subpopulation = 16; 
deedaParameters.selectInd = 1; %Testband2---1 to Testband1 ----- 16-
deedaParameters.step = deedaParameters.I_NP*deParameters.No_eval_Scenarios;
deedaParameters.elitist = 1; %Testband2---1 to Testband1 ----- 0

deedaParameters.I_bnd_constr = 1; %Using bound constraints 
% 1 repair to the lower or upper violated bound 
% 2 rand value in the allowed range
% 3 bounce back


